diff --git a/doc/src/sgml/ecpg.sgml b/doc/src/sgml/ecpg.sgml
index 98b6840..84c7bf0 100644
--- a/doc/src/sgml/ecpg.sgml
+++ b/doc/src/sgml/ecpg.sgml
@@ -3891,7 +3891,7 @@ EXEC SQL DESCRIBE prepared_statement INTO mysqlda;
      <step><simpara>Fetch rows from the cursor, and store them into an output SQLDA.</simpara></step>
      <step><simpara>Read values from the output SQLDA into the host variables (with conversion if necessary).</simpara></step>
      <step><simpara>Close the cursor.</simpara></step>
-     <step><simpara>Free the memory area allocated for the input SQLDA.</simpara></step>
+     <step><simpara>Free the memory area allocated for the input and output SQLDAs.</simpara></step>
     </procedure>
 
    <sect3>
@@ -4210,6 +4210,12 @@ switch (v.sqltype)
 }
 </programlisting>
     </para>
+    <para>
+     Finally after using output SQLDA, the allocated memory space must be freed explicity.
+<programlisting>
+free(sqlda1);
+</programlisting>
+    </para>
    </sect3>
 
    <sect3 id="ecpg-sqlda-input">
@@ -4290,8 +4296,7 @@ EXEC SQL OPEN cur1 USING DESCRIPTOR sqlda2;
 
     <para>
      Finally, after using input SQLDAs, the allocated memory space
-     must be freed explicitly, unlike SQLDAs used for receiving query
-     results.
+     must be freed explicitly.
 <programlisting>
 free(sqlda2);
 </programlisting>
@@ -4583,6 +4588,7 @@ main(void)
         }
     }
 
+    free(sqlda1);
     EXEC SQL CLOSE cur1;
     EXEC SQL COMMIT;
 
